/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.isobus.type;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import javax.swing.JPanel;
import nl.cloudfarming.client.geoviewer.Palette;
import nl.cloudfarming.client.geoviewer.render.RasterRenderer;
import nl.cloudfarming.client.geoviewer.render.RasterRendererFactory;
import nl.cloudfarming.client.geoviewer.render.SimpleGeoTranslator;
import org.geotools.factory.CommonFactoryFinder;
import org.geotools.styling.StyleFactory;

/**
 * Panel which displays an IsobusRaster
 * @author Timon Veenstra
 */
public class GridCoveragePanel extends JPanel {

    /**
     * this gets rid of exception for not using native acceleration
     */
    static {
        System.setProperty("com.sun.media.jai.disableMediaLib", "true");
    }
    private StyleFactory sf = CommonFactoryFinder.getStyleFactory(null);
    private final IsobusRaster grid;

    public GridCoveragePanel(IsobusRaster grid) {
        this.grid = grid;

    }

    @Override
    public void paint(Graphics g) {
        RasterRenderer rasterRenderer = RasterRendererFactory.getRenderer(grid.getRenderObject(null));
        rasterRenderer.paint(grid.getRenderObject(null), getVisibleRect(), (Graphics2D) g, new Palette(Color.BLACK), new SimpleGeoTranslator());
    }
}
